%define modname arrow

Name:               python-%{modname}
Version:            1.2.2
Release:            %mkrel 1
Summary:            Better dates and times for Python

Group:              Development/Python
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/arrow
Source0:            http://pypi.python.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.xz

BuildArch:          noarch
BuildRequires:      pkgconfig(python3)

%description
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%package -n         python3-%{modname}
Summary:            Better dates and times for Python
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}
BuildArch:          noarch

%description -n python3-arrow
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

cp -a . %{py3dir}


%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%files -n python3-%{modname}
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Mon Aug 22 2022 tex - 1.2.2-1pclos2022
- new version

* Fri Aug 24 2018 tex 0.12.1-1pclos2018
- new
